#ifndef CAMP_H
#define CAMP_H

#include "camp_global.h"
#include <core.h>
#include <QObject>
#include <QtPlugin>

class CAMPSHARED_EXPORT Camp : public QObject, IMetaDataPlugin
{
    Q_OBJECT

    Q_PLUGIN_METADATA(IID PluginInterface_iid FILE "camp.json")
    Q_INTERFACES(IPlugin)

public:
    Camp();

protected:
    void initServiceUi() Q_DECL_OVERRIDE;

    // IPlugin interface
public:
    virtual QIcon pluginIcon();
    QTranslator *translator();
    bool hasNumberSeries();
};

#endif // CAMP_H
